=== i18n/Makefile ===
update:
	lupdate ../src/*.cc ../src/*.hh ../src/*.ui ../shared/ui/*.ui -noobsolete -ts *.ts
