=== debian/changelog ===
qdmr (0.12.1-1) unstable; urgency=medium

  * Reworked CTCSS/DCS settings.
  * Reworked repeater database sources.
  * Updated OpenGD77 support to R20240908.
  * Fixed SMS bank and message offset (#467).
  * Fixed possible crash when writing to BTECH DMR-6X2UV.
  * Enforces limit on SMS messages.
  * Fixed MD380Tools button settings.
  * Merge a lot of translations into master.
  * Fixes duplication of sms templates.
  * Fix modified and main-window-close signals.
  * Fixed TX contact encoding.
  * Updated translations.

 -- Hannes Matuschek <dm3mat@darc.de>  Fri, 03 Jan 2025 12:25:00 +0100
