=== debian/changelog ===
qdmr (0.12.3-1) experimental; urgency=medium

  * Fixed radiolimits prevent setting SelectedChannel as revert channel.
  * Fixed RT3S channel linking issues.
  * Fixed auto-completion swapping of RX/TX frequency for some sources.

 -- Hannes Matuschek <dm3mat@darc.de>  Sat, 31 May 2025 11:31:01 +0200

qdmr (0.12.2-1) unstable; urgency=medium

  * Fixed linking and decoding of per-channel DMR IDs for OpenGD77, fixes #541.
  * Added support for satellite tracking function.
  * Fixed en/decoding of subtones in OpenGD77 firmwares.
  * Fixed location settings for OpenGD77 channels.
  * Fixed encoding of group list indices for OpenGD77 channels.
  * Fixed encoding of APRS settings.
  * Fixed bandwidth in CHIRP decoding.
  * Fixed enforcement of lower list limits.
  * Added channel extension, implemented TX CC encoding, fixed #561.
  * AnyTone default channel linking issue (fixed #563).
  * Fix AppStream metadata by @AsciiWolf.
  * Add Flatpak manifest by @AsciiWolf.
  * Fix OpenGD77 (UV380) codeplug encodings by @akvadrako.
  * Include Norad IDs in satellite selection by @akvadrako.
  * Made all dialogs minimum-expanding.
  * Fixed representation of selected revert channel (fixes #606).
  * Fix APRS transmit frequency handling in OpenGD77 by @akvadrako.
  * Implemented APRS PTT settings.
  * Added extension column to all table views.
  * Fixed encoding of second VHF auto-repeater frequency range.

 -- Hannes Matuschek <dm3mat@darc.de>  Fri, 30 May 2025 00:23:32 +0200
